<?php

//Basic web data (one time domain settings)
define('WEB_BASE_PRO', 'https');
define('WEB_BASE_URL', WEB_BASE_PRO.'://admin.testidp.incubator.geant.org'); //Without trailing slash
define('WEB_BASE_DIR', '/opt/admin/public_html'); //Without trailing slash
define('APP_BASE_DIR', '/opt/admin/application'); //Without trailing slash
define('UPL_BASE_URL', WEB_BASE_URL.'/uploads'); //Without trailing slash
define('UPL_BASE_DIR', APP_BASE_DIR.'/uploads'); //Without trailing slash

//Pages links (for easier bulk links change)
define('USER_HOME', WEB_BASE_URL.'/');

//MySQL connection data
define('MYSQL_HOST', 'db');
define('MYSQL_USER', 'admin');
define('MYSQL_PASS', 'admin');
define('MYSQL_DB', 'testidp');

//Security data
define('SEC_SALT', 'flYs8dfp35dsotq'); //Possible values: any
define('SEC_CAPTCHA', true); //Possible values: true / false

//Status data (turn the system and debug mode on or off)
//When STATUS_ACTIVE is set to false, the system will display maintenance mode page.
define('STATUS_ACTIVE', true); //Possible values: true / false
define('STATUS_DEBUG', true); //Possible values: true / false
define('STATUS_DEBUG_MODE', E_ALL); //Possible values: E_ALL / E_ERROR / E_WARNING / E_NOTICE / E_NONE

//Misc data
define('CURRENT_TEMPLATE', 'default');
define('MEDIA_URL', 		WEB_BASE_URL.'/templates/'.CURRENT_TEMPLATE.'/media');

//Contacts data
define('ADMIN_EMAIL', 'tikrasseo@gmail.com');

//Set active languages (check system consistency after adding more languages)
$temp_languages_arr = array();
$temp_languages_arr['en'] = 'english';
$temp_languages_arr['lt'] = 'lithuanian';
$temp_languages_arr['ru'] = 'russian';
define('SYSTEM_LANGUAGES', serialize($temp_languages_arr));
define('SYSTEM_DEFAULT_LANGUAGE', 'en');
unset($temp_languages_arr);

//Code helpers
define('NEW_LINE', PHP_EOL);

//HTML meta tags
define('PAGE_DEFAULT_META_TITLE', 'Test IDP');
define('PAGE_DEFAULT_META_DESCRIPTION', 'Test IDP tool');

//Start the session
session_start();

?>
