<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta name="viewport" content="initial-scale=1.0"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script type="text/javascript" src="<?=SimpleSAML\Module::getModuleURL("customauth/assets/script.js")?>"></script>
    <title>Please select a profile to release attributes</title>
    <link rel="stylesheet" type="text/css" href="<?=SimpleSAML\Module::getModuleURL("customauth/assets/css/default.css")?>"/>
    <link rel="icon" type="image/icon" href="<?=SimpleSAML\Module::getModuleURL("customauth/assets/favicon.ico")?>"/>
    <meta name="robots" content="noindex, nofollow"/>
</head>
<body onload="SimpleSAML_focus('password');">
<div id="wrap">
  <div id="header">
    <br>
    <img src="https://idp.test.inacademia.org/module.php/inacademia_theme/login_icon.svg" alt="IKONA"/>
    <h1><a href="/">Enter your username and password</a></h1>
  </div>
  <div class="romb"></div>
  <div id="content">
    <p class="logintext">A service has requested you to authenticate yourself. <br>Please select a profile and optionally which attributes to release from the information below.</p>

    <form method="post" action="?">
   <p><hr/><b>Choose Test Scenario</b></p>
  <div style="float:left; margin-right: 10px">
  <select name=username size=10 style='width: 300px;'>
<?php
    $first = true;
    $users = $this->data['users'];
    $displays = $this->data['displays'];
    $categories = $this->data['categories'];
    foreach ($categories as $category => $cat) {
      if (!$first) echo "<option></option>\n"; $first = false;
      echo "<option value=\"$category\">--- $category ---</option>\n";
      foreach ($cat['users'] as $user) {
	$display = $displays[$user];
        echo "<option name=\"$user\" value=\"$user\">$display</option>\n";
      }
    }
?>
  </select>
  </div>
  <div id="explanation" style='display: grid'>Woohaa!</div><br style="clear: both" />
    <p><hr/><b>Choose attributes</b></p>
      <div style="float: left" id="attributes"></div>
      <div  id="about"></div><br style="clear: both" />
    <p><hr/><b>Released attributes</b></p>
      <div id="output"></div>
    <input type="hidden" name="ReturnTo" value="<?= htmlspecialchars($this->data['returnTo']) ?>">
    <p><input id="submit_button" class="btn" type="submit" value="Log in"></p>
    </form>
  </div>
</body>
  <script>
    var users = [];
    var keys = [];
    var message = [];
    var explanations = [];
    var user = '';
<?php
    foreach ($this->data['users'] as $user => $values) {
        echo "users['$user'] = [];\n";
        foreach ($values as $key => $value) {
            echo "users['$user']['$key'] = [\"" . (is_array($value)?implode("\",\"", $value):$value) . "\"]; ";
            echo "keys['$key'] = true;\n";
        }
    }
    foreach ($this->data['attributes'] as $attribute => $message) {
        echo "message['$attribute'] = \"$message\";\n";
    }
    foreach ($this->data['explanations'] as $user => $explanation) {
        echo "explanations['$user'] = \"$explanation\";\n";
    }

?>
    function update() {
        var html = "";
        for (let key in users[user]) {
            if (keys[key]) {
		var vals = users[user][key];
		//html += "<b>" + key + "</b>: " + users[user][key] + "<br />\n";
		html += "<b>" + key + "</b>: \n";
		for (let i in vals) {
                    html += "<li>" + vals[i] + "</li>\n";
		}
            }
        }
        $('#output').html(html);

    };
    $('select[name=username]').change(function() {
        var attributes = "";
        user = this.value;
        for (let key in users[user]) {
            attribute = users[user][key];
            attributes += "<input id=chkbx_" + key + " type=checkbox name=keys[" + key + "] " + (keys[key]?'checked':'') + " value='" + users[user][key] + "'><span title='" + message[key] + "'>" + key + "</span><br>\n";
        };
	$('#explanation').html(explanations[user]);
        $('#attributes').html(attributes);
        $('#about').html('');
        $('input[id^=chkbx_]').change(function() {
            var key = this.name.slice(5,-1);
            keys[key] = this.checked;
            if (this.checked) $('#about').html(message[key] + '<br>Enabled');
            else $('#about').html(message[key] + '<br>Disabled');
        });
        update();
    });

    $('#attributes').change(function() {
        update();
    });

  </script>
</html>
