<?php

class user {

	//Constructor (does nothing atm)
	private function __construct() {
	}
	
	public static function isLogged() {
		return (isset($_SESSION['user_id'])?true:false);
	}
	
	public static function logOut() {
		if (user::isLogged()) {
			unset($_SESSION['user_id']);
			session_destroy();
			die(header('Location:'.WEB_BASE_URL));
		}
	}
	
	/* Try to get a real user IP address */
	public static function getUserIP() {
		$client = '';
		$forward = '';
		if(filter_var($client, FILTER_VALIDATE_IP)) {
			return @$_SERVER['HTTP_CLIENT_IP'];
		} elseif(filter_var($forward, FILTER_VALIDATE_IP)) {
			return @$_SERVER['HTTP_X_FORWARDED_FOR'];
		} else {
			return @$_SERVER['REMOTE_ADDR'];
		}
	}
	
}

?>